package com.inspect.ivs.vo;

public class IvsRecStartVo extends IvsVo {
   private int recordTime = 300;

   public int getRecordTime() {
      return this.recordTime;
   }

   public void setRecordTime(int recordTime) {
      this.recordTime = recordTime;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsRecStartVo)) {
         return false;
      } else {
         IvsRecStartVo other = (IvsRecStartVo)o;
         return !other.canEqual(this)?false:this.getRecordTime() == other.getRecordTime();
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsRecStartVo;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      result = result * 59 + this.getRecordTime();
      return result;
   }

   public String toString() {
      return "IvsRecStartVo(recordTime=" + this.getRecordTime() + ")";
   }
}
